• Documentation
  • API Reference
Overview
Guides
    Get StartedGood to KnowAccess Tokens
    Core APIs
      KYCBanksConsent & Account InformationPaymentsAuthorisations
    Alternative APIs
Other Information
Changelog
Downloads
Support
Core APIs

Banks

The ASPSP Information Service retrieves a list of all ASPSPs (banks and financial institutions) currently supported by the Open Payments platform. This allows your application to display available banks to the PSU before creating consents or initiating payments. In this guide, we will query Swedish banks via the isoCountryCodes parameter.

For requests to the ASPSP Information Service API, you need an access token with scope set to aspspinformation corporate.

1. Get ASPSP List

Endpoint

Code
GET /psd2/aspspinformation/v1/aspsps

Query Parameters

NameTypeDescription
isoCountryCodesarrayISO Country Codes for the countries to get banks for.

Request Headers

NameTypeDescription
X-Request-IDstring(uuid)The ID of the request, unique to the call, as determined by the initiating party.
TerminalCode
curl -X GET "https://api.openbankingplatform.com/psd2/aspspinformation/v1/aspsps?isoCountryCodes=SE" \ -H "Accept: application/json" \ -H "Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIn0..." \ -H "Content-Type: application/json" \ -H "X-Request-ID: 0388a0b5-c8e4-4c37-89ae-058b74899170"

Response

Code
{ "aspsps": [ { "bicFi": "ESSESESS", "name": "Skandinaviska Enskilda Banken AB", "logoUrl": "https://opeopenbanking.blob.core.windows.net/images/ESSESESS.jpg" }, { "bicFi": "HANDSESS", "name": "Handelsbanken", "logoUrl": "https://opeopenbanking.blob.core.windows.net/images/HANDSESS.svg" }, { "bicFi": "NDEASESS", "name": "Nordea Bank AB", "logoUrl": "https://opeopenbanking.blob.core.windows.net/images/NDEASESS.png" } ] }

You now have a list of Swedish banks that you can use to create a UI that let your PSU select a bank to authenticate to.

Cache the list instead of making this request each time you want to present available banks for the PSU.

2. Get ASPSP Details

Next, you can fetch details for a specific bank in the list, such as the bank's supported payment products and authorization methods.

Endpoint

Code
GET /psd2/aspspinformation/v1/aspsps/{bicFi}

Path Parameters

NameTypeDescription
bicFistringThe BIC of the bank.

Request Headers

NameTypeDescription
X-Request-IDstring(uuid)The ID of the request, unique to the call, as determined by the initiating party.
TerminalCode
curl -X GET "https://api.openbankingplatform.com/psd2/aspspinformation/v1/aspsps/ESSESESS" \ -H "Accept: application/json" \ -H "Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIn0..." \ -H "Content-Type: application/json" \ -H "X-Request-ID: f87a6512-7569-4108-8f86-286c3e4c2b79"

Response

Code
{ "bicFi": "ESSESESS", "name": "Skandinaviska Enskilda Banken AB", "logoUrl": "https://opeopenbanking.blob.core.windows.net/images/ESSESESS.jpg", "city": "Stockholm", "country": "Sweden", "postalCode": "106 40", "streetAddress": "Kungsträdgårdsgatan 8", "companyNumber": "502032-9081", "phone": "+46-771 365 365", "websiteUrl": "https://seb.se/", "globalPaymentProducts": [ "sepa-credit-transfers", "domestic", "international-tp", "swedish-giro" ], "supportedAuthorizationMethods": [ { "name": "OAuth2", "uri": "https://auth.openbankingplatform.com/.well-known/openid-configuration" }, { "name": "Decoupled", "uri": "" } ] }
Last modified on February 13, 2026
KYCConsent & Account Information
On this page
    • 1. Get ASPSP List
    • 2. Get ASPSP Details
JSON
JSON